Page MenuHomePhabricator

[libcxx] libc++ changes necessary for the externally threaded libcxxabi variant
ClosedPublic

Authored by rmaprath on Dec 8 2016, 9:09 AM.

Details

Diff Detail

Event Timeline

rmaprath updated this revision to Diff 80765.Dec 8 2016, 9:09 AM
rmaprath retitled this revision from to [libcxx] libc++ changes necessary for the externally threaded libcxxabi variant.
rmaprath updated this object.
rmaprath added reviewers: EricWF, mclow.lists.
rmaprath added a subscriber: cfe-commits.
EricWF edited edge metadata.Dec 10 2016, 11:48 PM

This bit LGTM.

include/__threading_support
193

These should have inline. In fact all of the functions in this header must be declared inline but have not been.

test/libcxx/test/config.py
605

I would rather use libc++external_threads since it uses the same prefix as -lc++ and -lc++experimental

rmaprath updated this revision to Diff 81059.Dec 12 2016, 1:52 AM
rmaprath edited edge metadata.
rmaprath added inline comments.
include/__threading_support
193

Actually, all the declarations on this header have _LIBCPP_THREAD_ABI_VISIBILITY , which includes the inline modifier. I've forgotten to include any context with this patch though, that might've made it bit unclear.

rmaprath marked an inline comment as done.Dec 15 2016, 2:21 AM

Gentle ping.

EricWF accepted this revision.Dec 23 2016, 7:57 PM
EricWF edited edge metadata.

LGTM.

test/CMakeLists.txt
58

I always prefer set(LIBCXX_TEST_DEPS "") to initialize an empty list. Then list(APPEND LIBCXX_TEST_DEPS cxx_experimental) to add new items.

This revision is now accepted and ready to land.Dec 23 2016, 7:57 PM
This revision was automatically updated to reflect the committed changes.